<?php
class WebUser extends CWebUser {
	
	public $status;
    public $info;
    public $branding;
    
    public $tools;
    
	public function init() {
		parent::init();
        $this->tools = new Tools;
        $this->info = new SerialNumber;
        $this->status = new Status;
        $this->branding = new BrandingInfo;
        $this->branding->load();
	}
    
    public function activateAdvancedMode( $enabled=true ) {
        $this->setState('advanced',$enabled?'on':'off');
    }
    
    public function advancedMode() {
        return $this->getState('advanced')=='on';
    }
}
